#pragma once
#include "TouchButton.h"

class CellWarsMTManager;
class HelpScreen;

class StartButton : public TouchButton
{
public:
	StartButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~StartButton();

	virtual void click();
};

class ReStartButton : public TouchButton
{
public:
	ReStartButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~ReStartButton();

	virtual void click();
};

class ExitButton : public TouchButton
{
public:
	ExitButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~ExitButton();

	virtual void click();
};

class HelpButton : public TouchButton
{
public:
	HelpButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~HelpButton();

	virtual void click();
};

class SwitchHelpButton : public TouchButton
{
public:
	SwitchHelpButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~SwitchHelpButton();

	void setHelpScreen(HelpScreen *belongsToThisHelpScreen);

	virtual void click();

private:
	HelpScreen *isOnThisHelpScreen;
};



class IncreaseVolumeButton : public TouchButton
{
public:
	IncreaseVolumeButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~IncreaseVolumeButton();
	
	virtual void Update(float dt);
	virtual void click();

private:
	float timeSinceLastTick;
};



class DecreaseVolumeButton : public TouchButton
{
public:
	DecreaseVolumeButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~DecreaseVolumeButton();
	
	virtual void Update(float dt);
	virtual void click();

private:
	float timeSinceLastTick;
};
